Subject: RE: bug#642: 23.0.60;garbled text (wrong font?) in About GNU Emacs screen

From: "Drew Adams" <[email-masked]>
Date: Mon, 17 Nov 2008 00:15:25 -0800

In GNU Emacs 23.0.60.1 (i386-mingw-nt5.1.2600)
 of 2008-11-08 on LENNART-69DE564
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (3.4) --no-opt --cflags -Ic:/g/include
-fno-crossjumping'
 
Here is some more info about this. Attached is a screenshot showing font
families in Emacs 23 (on the left) and Emacs 22.3 (on the right).

I used the following code from Miles Bader:

(defun list-fonts-display ()
     "Display a list of font-families available via font-config, in a new
buffer.
   The name of each font family is displayed using that family, as
   well as in the default font (to handle the case where a font
   cannot be used to display its own name)."
     (interactive)
     (let (families)
       (with-temp-buffer
	 (shell-command "fc-list : family" t)
	 (goto-char (point-min))
	 (while (not (eobp))
	   (push (buffer-substring (line-beginning-position)
(line-end-position))
		 families)
	   (forward-line)))
       (let ((buf (get-buffer-create "*Font Families*")))
	 (with-current-buffer buf
	   (erase-buffer)
	   (dolist (family families)
	     (setq family (car (split-string family ",")))
	     (insert (concat (propertize family 'face (list :family family))
			     " (" family ")"))
	     (newline)))
	 (display-buffer buf))))

Other than that, I used emacs -Q and, to be able to use a bash shell, loaded
cygwin-mount.el and setup-cygwin.el
(http://www.emacswiki.org/emacs/cygwin-mount.el,
http://www.emacswiki.org/emacs/setup-cygwin.el). I also tried with just emacs -Q
and cmdproxy.exe, without loading the cygwin libraries - same result.

The display shows problems with font families Times and Helvetica. I use the
standard Times and Helvetica Type1 fonts on Windows XP. E.g., the Times Roman
font file is named TIR_____.PFM; the Helvetica file is HV_____.PFM.

Note too that font names such as Terminal do not appear in their own font in
this display in Emacs 23 (but they do in Emacs 22). I don't know if that is an
Emacs 23 bug or due to the nature of `list-fonts-display'. 

It seems that the only font name that is displayed using its own font in Emacs
23 is Courier. The rest, except for Times and Helvetica, appear in some font
that is different from the default font - it looks like a Lucinda font.

(assoc 'font (frame-parameters)) in Emacs 23 gives (font . "-outline-Courier
New-normal-normal-normal-mono-13-*-*-*-c-*-iso8859-1").